curl -X POST 'https://services.leadconnectorhq.com/products/bulk-update/edit' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"products": [
{
"_id": "64a1b2c3d4e5f67890123456",
"name": "Premium Product",
"description": "A high-quality premium product with excellent features and durability",
"image": "https://example.com/product-image.jpg",
"availableInStore": true,
"prices": [
{}
],
"collectionIds": [
"64a1b2c3d4e5f67890123458",
"64a1b2c3d4e5f67890123459"
],
"isLabelEnabled": true,
"isTaxesEnabled": true,
"slug": "premium-product",
"automaticTaxCategoryId": "64a1b2c3d4e5f67890123460",
"taxInclusive": false,
"taxes": [
{}
],
"medias": [
{}
],
"label": {}
}
]
}'
const response = await fetch('https://services.leadconnectorhq.com/products/bulk-update/edit', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "products": [{"_id": "64a1b2c3d4e5f67890123456", "name": "Premium Product", "description": "A high-quality premium product with excellent features and durability", "image": "https://example.com/product-image.jpg", "availableInStore": true, "prices": [{}], "collectionIds": ["64a1b2c3d4e5f67890123458", "64a1b2c3d4e5f67890123459"], "isLabelEnabled": true, "isTaxesEnabled": true, "slug": "premium-product", "automaticTaxCategoryId": "64a1b2c3d4e5f67890123460", "taxInclusive": false, "taxes": [{}], "medias": [{}], "label": {}}]}),
});
const data = await response.json();
import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/products/bulk-update/edit',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "products": [{"_id": "64a1b2c3d4e5f67890123456", "name": "Premium Product", "description": "A high-quality premium product with excellent features and durability", "image": "https://example.com/product-image.jpg", "availableInStore": true, "prices": [{}], "collectionIds": ["64a1b2c3d4e5f67890123458", "64a1b2c3d4e5f67890123459"], "isLabelEnabled": true, "isTaxesEnabled": true, "slug": "premium-product", "automaticTaxCategoryId": "64a1b2c3d4e5f67890123460", "taxInclusive": false, "taxes": [{}], "medias": [{}], "label": {}}]},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/bulk-update/edit');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'products': [{'_id': '64a1b2c3d4e5f67890123456', 'name': 'Premium Product', 'description': 'A high-quality premium product with excellent features and durability', 'image': 'https://example.com/product-image.jpg', 'availableInStore': true, 'prices': [{}], 'collectionIds': ['64a1b2c3d4e5f67890123458', '64a1b2c3d4e5f67890123459'], 'isLabelEnabled': true, 'isTaxesEnabled': true, 'slug': 'premium-product', 'automaticTaxCategoryId': '64a1b2c3d4e5f67890123460', 'taxInclusive': false, 'taxes': [{}], 'medias': [{}], 'label': {}}]}),
]);
$data = json_decode(curl_exec($ch), true);